import 'package:flutter/material.dart';
import 'package:freekake/components/collection_container.dart';

class CollectionSkinScreen extends StatefulWidget {
  const CollectionSkinScreen({super.key});

  @override
  State<CollectionSkinScreen> createState() => _CollectionSkinScreenState();
}

class _CollectionSkinScreenState extends State<CollectionSkinScreen> {
  @override
  Widget build(BuildContext context) {
    return Container(
      // scrollDirection: Axis.horizontal,
      height: MediaQuery.of(context).size.height,
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          SizedBox(height: 80),
          Padding(
            padding: EdgeInsets.only(top: 40, left: 20, right: 20, bottom: 20),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text("Luffy", style: TextStyle(color: Colors.black)),
                Divider(height: 10),
                SingleChildScrollView(
                  scrollDirection: Axis.horizontal,
                  child: Row(
                    spacing: 10, // Horizontal spacing between the containers
                    children: [
                      CollectionContainer(
                        label: "Luffy Kimono",
                        imagesrc: 'assets/images/luffy-kimono.png',
                        colorContiner: Color.fromRGBO(12, 199, 215, 1),
                        onTapAc: () => {},
                      ),

                      CollectionContainer(
                        label: "Luffy (Default)",
                        imagesrc: 'assets/images/luffy.png',
                        colorContiner: Color.fromRGBO(12, 199, 215, 1),
                        onTapAc: () => {},
                      ),
                      CollectionContainer(
                        label: "Luffy King",
                        imagesrc: 'assets/images/luffy-king.png',
                        colorContiner: Color.fromRGBO(12, 199, 215, 1),
                        onTapAc: () => {},
                      ),
                    ],
                  ),
                ),
                Divider(height: 20, color: Colors.transparent),
                Text("Lainnya", style: TextStyle(color: Colors.black)),
                Divider(height: 10),
                SingleChildScrollView(
                  scrollDirection: Axis.horizontal,
                  child: Row(
                    spacing: 10,
                    children: [
                      CollectionContainer(
                        label: "Oni Chan (Default)",
                        imagesrc: 'assets/images/klipartz.png',
                        onTapAc: () => {},
                      ),
                      CollectionContainer(
                        label: "Cepot (Default)",
                        imagesrc: 'assets/images/cepott.png',
                        colorContiner: Color.fromRGBO(237, 207, 100, 1.0),
                        onTapAc: () => {},
                      ),
                    ],
                  ),
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
